<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: ImuData.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_imu_data_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">ImuData.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_imu_data_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// %flair:license{</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">// This file is part of the Flair framework distributed under the</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// CECILL-C License, Version 1.0.</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">// %flair:license}</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"></span><span class="preprocessor">#ifndef IMUDATA_H</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#define IMUDATA_H</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="io__data_8h.html">io_data.h</a>&gt;</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_i_o_data_element_8h.html">IODataElement.h</a>&gt;</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_vector3_d_8h.html">Vector3D.h</a>&gt;</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keyword">namespace </span>core {</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div>
<div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_imu_data.html">   31</a></span>&#160;<span class="keyword">class </span><a class="code" href="classflair_1_1core_1_1_imu_data.html">ImuData</a> : <span class="keyword">public</span> <a class="code" href="classflair_1_1core_1_1io__data.html">io_data</a> {</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_imu_data_1_1_type.html">   33</a></span>&#160;  <span class="keyword">class </span><a class="code" href="classflair_1_1core_1_1_imu_data_1_1_type.html">Type</a> : <span class="keyword">public</span> <a class="code" href="classflair_1_1core_1_1_data_type.html">DataType</a> {</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;  <span class="keyword">public</span>:</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;    <a class="code" href="classflair_1_1core_1_1_imu_data_1_1_type.html">Type</a>(<a class="code" href="classflair_1_1core_1_1_scalar_type.html">ScalarType</a> <span class="keyword">const</span> &amp;_elementDataType)</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;        : elementDataType(_elementDataType) {}</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;    <a class="code" href="classflair_1_1core_1_1_scalar_type.html">ScalarType</a> <span class="keyword">const</span> &amp;GetElementDataType()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> elementDataType; }</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;    std::string GetDescription()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <span class="stringliteral">&quot;imu data&quot;</span>; }</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;    <span class="keywordtype">size_t</span> GetSize()<span class="keyword"> const </span>{</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;      <span class="keywordtype">size_t</span> size = 0;</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;      size += 3 * elementDataType.GetSize(); <span class="comment">// RawAcc</span></div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;      size += 3 * elementDataType.GetSize(); <span class="comment">// RawGyr</span></div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;      size += 3 * elementDataType.GetSize(); <span class="comment">// RawMag</span></div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;      <span class="keywordflow">return</span> size;</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;    }</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;  <span class="keyword">private</span>:</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;    <a class="code" href="classflair_1_1core_1_1_scalar_type.html">ScalarType</a> <span class="keyword">const</span> &amp;elementDataType;</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;  };</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;</div>
<div class="line"><a name="l00055"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26be">   55</a></span>&#160;  <span class="keyword">typedef</span> <span class="keyword">enum</span> {</div>
<div class="line"><a name="l00056"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26bea90ece67a73f71355e7c5a6adf5e8149d">   56</a></span>&#160;    <a class="code" href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26bea90ece67a73f71355e7c5a6adf5e8149d">RawAx</a> ,</div>
<div class="line"><a name="l00057"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26beaf17fe48e3f3aeeb97c77e78340bb5803">   57</a></span>&#160;    <a class="code" href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26beaf17fe48e3f3aeeb97c77e78340bb5803">RawAy</a> ,</div>
<div class="line"><a name="l00058"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26bead8be85dbc38cbd7c3e5493256ffa1d00">   58</a></span>&#160;    <a class="code" href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26bead8be85dbc38cbd7c3e5493256ffa1d00">RawAz</a> ,</div>
<div class="line"><a name="l00059"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26beafbc2d2a514c95994271df80a8e5be519">   59</a></span>&#160;    <a class="code" href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26beafbc2d2a514c95994271df80a8e5be519">RawGx</a> ,</div>
<div class="line"><a name="l00060"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26bea4b4d9ad7d324cc7658342ec2c4771695">   60</a></span>&#160;    <a class="code" href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26bea4b4d9ad7d324cc7658342ec2c4771695">RawGy</a> ,</div>
<div class="line"><a name="l00061"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26beadc2e059b491fedb6d2960281b7ad6622">   61</a></span>&#160;    <a class="code" href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26beadc2e059b491fedb6d2960281b7ad6622">RawGz</a> ,</div>
<div class="line"><a name="l00062"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26bea915a640fc43e113b03e4391cf0c733a9">   62</a></span>&#160;    <a class="code" href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26bea915a640fc43e113b03e4391cf0c733a9">RawGxDeg</a> ,</div>
<div class="line"><a name="l00063"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26beadbc88531fe4da892ae4bcd48089d0565">   63</a></span>&#160;    <a class="code" href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26beadbc88531fe4da892ae4bcd48089d0565">RawGyDeg</a> ,</div>
<div class="line"><a name="l00064"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26bea98589e84fadf04b96b5c578ec931a78f">   64</a></span>&#160;    <a class="code" href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26bea98589e84fadf04b96b5c578ec931a78f">RawGzDeg</a> ,</div>
<div class="line"><a name="l00065"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26bea9ad641005399ef838c6b72845404be6b">   65</a></span>&#160;    <a class="code" href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26bea9ad641005399ef838c6b72845404be6b">RawMx</a> ,</div>
<div class="line"><a name="l00066"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26bea526c117774f8517ee9496395c87b63cf">   66</a></span>&#160;    <a class="code" href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26bea526c117774f8517ee9496395c87b63cf">RawMy</a> ,</div>
<div class="line"><a name="l00067"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26beae864388017d2f02860096371f515a367">   67</a></span>&#160;    <a class="code" href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26beae864388017d2f02860096371f515a367">RawMz</a> </div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;  } <a class="code" href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26be">PlotableData_t</a>;</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;  <a class="code" href="classflair_1_1core_1_1_imu_data.html#a1a277282db7d19ed76e41a4f7a782934">ImuData</a>(<span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1_object.html">Object</a> *parent, std::string name = <span class="stringliteral">&quot;&quot;</span>, <span class="keywordtype">int</span> n = 1);</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;  <a class="code" href="classflair_1_1core_1_1_imu_data.html#a5ab5c48fd57817f52d479c0d43dfb3e9">~ImuData</a>();</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;  <a class="code" href="classflair_1_1core_1_1_i_o_data_element.html">IODataElement</a> *<a class="code" href="classflair_1_1core_1_1_imu_data.html#a4f26aa0799e4156f3885a436a269d9c5">Element</a>(<a class="code" href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26be">PlotableData_t</a> data_type) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;</div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;  <a class="code" href="classflair_1_1core_1_1_vector3_d.html">Vector3Df</a> <a class="code" href="classflair_1_1core_1_1_imu_data.html#aff48e7fc5d9e5fd5f543080c927b88b5">GetRawAcc</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;</div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;  <a class="code" href="classflair_1_1core_1_1_vector3_d.html">Vector3Df</a> <a class="code" href="classflair_1_1core_1_1_imu_data.html#adc5d9ec8a2c7ae337ba627dcf2181307">GetRawMag</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;</div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;  <a class="code" href="classflair_1_1core_1_1_vector3_d.html">Vector3Df</a> <a class="code" href="classflair_1_1core_1_1_imu_data.html#a942ccd18b00ffceee25e307fa54a6ea0">GetRawGyr</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;</div>
<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_imu_data.html#a5893ae29ee62fea62fee049924fad2bf">GetRawAccMagAndGyr</a>(<a class="code" href="classflair_1_1core_1_1_vector3_d.html">Vector3Df</a> &amp;rawAcc, <a class="code" href="classflair_1_1core_1_1_vector3_d.html">Vector3Df</a> &amp;rawMag,</div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;                          <a class="code" href="classflair_1_1core_1_1_vector3_d.html">Vector3Df</a> &amp;rawGyr) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;</div>
<div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_imu_data.html#ad1253132c246fd1106294fa63c9f43d6">SetRawAcc</a>(<span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1_vector3_d.html">Vector3Df</a> &amp;rawAcc);</div>
<div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;</div>
<div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_imu_data.html#a2c8a03b3ff037fca52e2e0607910f93d">SetRawMag</a>(<span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1_vector3_d.html">Vector3Df</a> &amp;rawMag);</div>
<div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;</div>
<div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_imu_data.html#afb2c370ce20995a83fb500bc8e966d4e">SetRawGyr</a>(<span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1_vector3_d.html">Vector3Df</a> &amp;rawGyr);</div>
<div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;</div>
<div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_imu_data.html#ac9996d7161dfbc620d977208d0626515">SetRawAccMagAndGyr</a>(<span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1_vector3_d.html">Vector3Df</a> &amp;rawAcc, <span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1_vector3_d.html">Vector3Df</a> &amp;rawMag,</div>
<div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160;                          <span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1_vector3_d.html">Vector3Df</a> &amp;rawGyr);</div>
<div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;</div>
<div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160;  Type <span class="keyword">const</span> &amp;GetDataType()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> dataType; }</div>
<div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;</div>
<div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;<span class="keyword">private</span>:</div>
<div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;  <span class="keywordtype">void</span> RawRead(<span class="keywordtype">char</span> *dst) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;</div>
<div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160;  Vector3Df rawAcc;</div>
<div class="line"><a name="l00202"></a><span class="lineno">  202</span>&#160;</div>
<div class="line"><a name="l00207"></a><span class="lineno">  207</span>&#160;  Vector3Df rawGyr;</div>
<div class="line"><a name="l00208"></a><span class="lineno">  208</span>&#160;</div>
<div class="line"><a name="l00213"></a><span class="lineno">  213</span>&#160;  Vector3Df rawMag;</div>
<div class="line"><a name="l00214"></a><span class="lineno">  214</span>&#160;</div>
<div class="line"><a name="l00215"></a><span class="lineno">  215</span>&#160;  <span class="keywordtype">void</span> Queue(<span class="keywordtype">char</span> **dst, <span class="keyword">const</span> <span class="keywordtype">void</span> *src, <span class="keywordtype">size_t</span> size) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00216"></a><span class="lineno">  216</span>&#160;  Type dataType;</div>
<div class="line"><a name="l00217"></a><span class="lineno">  217</span>&#160;};</div>
<div class="line"><a name="l00218"></a><span class="lineno">  218</span>&#160;</div>
<div class="line"><a name="l00219"></a><span class="lineno">  219</span>&#160;} <span class="comment">// end namespace core</span></div>
<div class="line"><a name="l00220"></a><span class="lineno">  220</span>&#160;} <span class="comment">// end namespace flair</span></div>
<div class="line"><a name="l00221"></a><span class="lineno">  221</span>&#160;</div>
<div class="line"><a name="l00222"></a><span class="lineno">  222</span>&#160;<span class="preprocessor">#endif // IMUDATA_H</span></div>
<div class="ttc" id="classflair_1_1core_1_1io__data_html"><div class="ttname"><a href="classflair_1_1core_1_1io__data.html">flair::core::io_data</a></div><div class="ttdoc">Abstract class for data types. </div><div class="ttdef"><b>Definition:</b> io_data.h:94</div></div>
<div class="ttc" id="classflair_1_1core_1_1_imu_data_html_adb0dfdbb977697425cd06265077c26beaf17fe48e3f3aeeb97c77e78340bb5803"><div class="ttname"><a href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26beaf17fe48e3f3aeeb97c77e78340bb5803">flair::core::ImuData::RawAy</a></div><div class="ttdef"><b>Definition:</b> ImuData.h:57</div></div>
<div class="ttc" id="classflair_1_1core_1_1_imu_data_html_adb0dfdbb977697425cd06265077c26beafbc2d2a514c95994271df80a8e5be519"><div class="ttname"><a href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26beafbc2d2a514c95994271df80a8e5be519">flair::core::ImuData::RawGx</a></div><div class="ttdef"><b>Definition:</b> ImuData.h:59</div></div>
<div class="ttc" id="classflair_1_1core_1_1_data_type_html"><div class="ttname"><a href="classflair_1_1core_1_1_data_type.html">flair::core::DataType</a></div><div class="ttdef"><b>Definition:</b> io_data.h:26</div></div>
<div class="ttc" id="classflair_1_1core_1_1_object_html"><div class="ttname"><a href="classflair_1_1core_1_1_object.html">flair::core::Object</a></div><div class="ttdoc">Base class for all Framework&#39;s classes. </div><div class="ttdef"><b>Definition:</b> Object.h:83</div></div>
<div class="ttc" id="namespaceflair_html"><div class="ttname"><a href="namespaceflair.html">flair</a></div><div class="ttdoc">namespace of the flair Framework </div><div class="ttdef"><b>Definition:</b> Ahrs.h:19</div></div>
<div class="ttc" id="classflair_1_1core_1_1_imu_data_html_adb0dfdbb977697425cd06265077c26bea526c117774f8517ee9496395c87b63cf"><div class="ttname"><a href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26bea526c117774f8517ee9496395c87b63cf">flair::core::ImuData::RawMy</a></div><div class="ttdef"><b>Definition:</b> ImuData.h:66</div></div>
<div class="ttc" id="classflair_1_1core_1_1_vector3_d_html"><div class="ttname"><a href="classflair_1_1core_1_1_vector3_d.html">flair::core::Vector3D&lt; float &gt;</a></div></div>
<div class="ttc" id="classflair_1_1core_1_1_imu_data_html_a5893ae29ee62fea62fee049924fad2bf"><div class="ttname"><a href="classflair_1_1core_1_1_imu_data.html#a5893ae29ee62fea62fee049924fad2bf">flair::core::ImuData::GetRawAccMagAndGyr</a></div><div class="ttdeci">void GetRawAccMagAndGyr(Vector3Df &amp;rawAcc, Vector3Df &amp;rawMag, Vector3Df &amp;rawGyr) const </div><div class="ttdoc">Get raw accelerations, magnetometers and angular speeds. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_imu_data_html_aff48e7fc5d9e5fd5f543080c927b88b5"><div class="ttname"><a href="classflair_1_1core_1_1_imu_data.html#aff48e7fc5d9e5fd5f543080c927b88b5">flair::core::ImuData::GetRawAcc</a></div><div class="ttdeci">Vector3Df GetRawAcc(void) const </div><div class="ttdoc">Get raw accelerations. </div></div>
<div class="ttc" id="io__data_8h_html"><div class="ttname"><a href="io__data_8h.html">io_data.h</a></div><div class="ttdoc">Abstract class for data types. </div></div>
<div class="ttc" id="_vector3_d_8h_html"><div class="ttname"><a href="_vector3_d_8h.html">Vector3D.h</a></div><div class="ttdoc">Class defining a 3D vector. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_imu_data_1_1_type_html"><div class="ttname"><a href="classflair_1_1core_1_1_imu_data_1_1_type.html">flair::core::ImuData::Type</a></div><div class="ttdef"><b>Definition:</b> ImuData.h:33</div></div>
<div class="ttc" id="classflair_1_1core_1_1_imu_data_html_ad1253132c246fd1106294fa63c9f43d6"><div class="ttname"><a href="classflair_1_1core_1_1_imu_data.html#ad1253132c246fd1106294fa63c9f43d6">flair::core::ImuData::SetRawAcc</a></div><div class="ttdeci">void SetRawAcc(const Vector3Df &amp;rawAcc)</div><div class="ttdoc">Set raw accelerations. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_imu_data_html_adb0dfdbb977697425cd06265077c26beae864388017d2f02860096371f515a367"><div class="ttname"><a href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26beae864388017d2f02860096371f515a367">flair::core::ImuData::RawMz</a></div><div class="ttdef"><b>Definition:</b> ImuData.h:67</div></div>
<div class="ttc" id="classflair_1_1core_1_1_imu_data_html_adb0dfdbb977697425cd06265077c26bead8be85dbc38cbd7c3e5493256ffa1d00"><div class="ttname"><a href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26bead8be85dbc38cbd7c3e5493256ffa1d00">flair::core::ImuData::RawAz</a></div><div class="ttdef"><b>Definition:</b> ImuData.h:58</div></div>
<div class="ttc" id="classflair_1_1core_1_1_imu_data_html_adb0dfdbb977697425cd06265077c26bea90ece67a73f71355e7c5a6adf5e8149d"><div class="ttname"><a href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26bea90ece67a73f71355e7c5a6adf5e8149d">flair::core::ImuData::RawAx</a></div><div class="ttdef"><b>Definition:</b> ImuData.h:56</div></div>
<div class="ttc" id="_i_o_data_element_8h_html"><div class="ttname"><a href="_i_o_data_element_8h.html">IODataElement.h</a></div><div class="ttdoc">Abstract class for accessing an element of an io_data. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_imu_data_html_adb0dfdbb977697425cd06265077c26be"><div class="ttname"><a href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26be">flair::core::ImuData::PlotableData_t</a></div><div class="ttdeci">PlotableData_t</div><div class="ttdoc">Datas wich can be plotted in a DataPlot1D. </div><div class="ttdef"><b>Definition:</b> ImuData.h:55</div></div>
<div class="ttc" id="classflair_1_1core_1_1_imu_data_html_adb0dfdbb977697425cd06265077c26bea98589e84fadf04b96b5c578ec931a78f"><div class="ttname"><a href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26bea98589e84fadf04b96b5c578ec931a78f">flair::core::ImuData::RawGzDeg</a></div><div class="ttdef"><b>Definition:</b> ImuData.h:64</div></div>
<div class="ttc" id="classflair_1_1core_1_1_imu_data_html_a942ccd18b00ffceee25e307fa54a6ea0"><div class="ttname"><a href="classflair_1_1core_1_1_imu_data.html#a942ccd18b00ffceee25e307fa54a6ea0">flair::core::ImuData::GetRawGyr</a></div><div class="ttdeci">Vector3Df GetRawGyr(void) const </div><div class="ttdoc">Get raw angular speed. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_scalar_type_html"><div class="ttname"><a href="classflair_1_1core_1_1_scalar_type.html">flair::core::ScalarType</a></div><div class="ttdef"><b>Definition:</b> io_data.h:40</div></div>
<div class="ttc" id="classflair_1_1core_1_1_imu_data_html_adb0dfdbb977697425cd06265077c26bea9ad641005399ef838c6b72845404be6b"><div class="ttname"><a href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26bea9ad641005399ef838c6b72845404be6b">flair::core::ImuData::RawMx</a></div><div class="ttdef"><b>Definition:</b> ImuData.h:65</div></div>
<div class="ttc" id="classflair_1_1core_1_1_imu_data_html_adb0dfdbb977697425cd06265077c26beadbc88531fe4da892ae4bcd48089d0565"><div class="ttname"><a href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26beadbc88531fe4da892ae4bcd48089d0565">flair::core::ImuData::RawGyDeg</a></div><div class="ttdef"><b>Definition:</b> ImuData.h:63</div></div>
<div class="ttc" id="classflair_1_1core_1_1_imu_data_html_adb0dfdbb977697425cd06265077c26beadc2e059b491fedb6d2960281b7ad6622"><div class="ttname"><a href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26beadc2e059b491fedb6d2960281b7ad6622">flair::core::ImuData::RawGz</a></div><div class="ttdef"><b>Definition:</b> ImuData.h:61</div></div>
<div class="ttc" id="classflair_1_1core_1_1_imu_data_html_a5ab5c48fd57817f52d479c0d43dfb3e9"><div class="ttname"><a href="classflair_1_1core_1_1_imu_data.html#a5ab5c48fd57817f52d479c0d43dfb3e9">flair::core::ImuData::~ImuData</a></div><div class="ttdeci">~ImuData()</div><div class="ttdoc">Destructor. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_imu_data_html_adc5d9ec8a2c7ae337ba627dcf2181307"><div class="ttname"><a href="classflair_1_1core_1_1_imu_data.html#adc5d9ec8a2c7ae337ba627dcf2181307">flair::core::ImuData::GetRawMag</a></div><div class="ttdeci">Vector3Df GetRawMag(void) const </div><div class="ttdoc">Get raw magnetometers. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_imu_data_html_a2c8a03b3ff037fca52e2e0607910f93d"><div class="ttname"><a href="classflair_1_1core_1_1_imu_data.html#a2c8a03b3ff037fca52e2e0607910f93d">flair::core::ImuData::SetRawMag</a></div><div class="ttdeci">void SetRawMag(const Vector3Df &amp;rawMag)</div><div class="ttdoc">Set raw magnetometers. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_imu_data_html_ac9996d7161dfbc620d977208d0626515"><div class="ttname"><a href="classflair_1_1core_1_1_imu_data.html#ac9996d7161dfbc620d977208d0626515">flair::core::ImuData::SetRawAccMagAndGyr</a></div><div class="ttdeci">void SetRawAccMagAndGyr(const Vector3Df &amp;rawAcc, const Vector3Df &amp;rawMag, const Vector3Df &amp;rawGyr)</div><div class="ttdoc">Set raw accelerations, magnetometers and angular speeds. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_imu_data_html_afb2c370ce20995a83fb500bc8e966d4e"><div class="ttname"><a href="classflair_1_1core_1_1_imu_data.html#afb2c370ce20995a83fb500bc8e966d4e">flair::core::ImuData::SetRawGyr</a></div><div class="ttdeci">void SetRawGyr(const Vector3Df &amp;rawGyr)</div><div class="ttdoc">Set raw angular speed. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_imu_data_html_adb0dfdbb977697425cd06265077c26bea4b4d9ad7d324cc7658342ec2c4771695"><div class="ttname"><a href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26bea4b4d9ad7d324cc7658342ec2c4771695">flair::core::ImuData::RawGy</a></div><div class="ttdef"><b>Definition:</b> ImuData.h:60</div></div>
<div class="ttc" id="classflair_1_1core_1_1_imu_data_html_a4f26aa0799e4156f3885a436a269d9c5"><div class="ttname"><a href="classflair_1_1core_1_1_imu_data.html#a4f26aa0799e4156f3885a436a269d9c5">flair::core::ImuData::Element</a></div><div class="ttdeci">IODataElement * Element(PlotableData_t data_type) const </div><div class="ttdoc">Element. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_i_o_data_element_html"><div class="ttname"><a href="classflair_1_1core_1_1_i_o_data_element.html">flair::core::IODataElement</a></div><div class="ttdoc">Abstract class for accessing an element of an io_data. </div><div class="ttdef"><b>Definition:</b> IODataElement.h:27</div></div>
<div class="ttc" id="classflair_1_1core_1_1_imu_data_html_adb0dfdbb977697425cd06265077c26bea915a640fc43e113b03e4391cf0c733a9"><div class="ttname"><a href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26bea915a640fc43e113b03e4391cf0c733a9">flair::core::ImuData::RawGxDeg</a></div><div class="ttdef"><b>Definition:</b> ImuData.h:62</div></div>
<div class="ttc" id="classflair_1_1core_1_1_imu_data_html_a1a277282db7d19ed76e41a4f7a782934"><div class="ttname"><a href="classflair_1_1core_1_1_imu_data.html#a1a277282db7d19ed76e41a4f7a782934">flair::core::ImuData::ImuData</a></div><div class="ttdeci">ImuData(const Object *parent, std::string name=&quot;&quot;, int n=1)</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_imu_data_html"><div class="ttname"><a href="classflair_1_1core_1_1_imu_data.html">flair::core::ImuData</a></div><div class="ttdoc">Class defining IMU datas. </div><div class="ttdef"><b>Definition:</b> ImuData.h:31</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_33c2ee9b1665499374b4225c427cf176.html">igep</a></li><li class="navelem"><a class="el" href="dir_f1fe274389177bd7e17de7949c4ffada.html">flair-src</a></li><li class="navelem"><a class="el" href="dir_3ef62148cf94871b4b6ee5d6e3a989c1.html">lib</a></li><li class="navelem"><a class="el" href="dir_97265977dbbd48c696782ccac102bad5.html">FlairCore</a></li><li class="navelem"><a class="el" href="dir_6c198461db290ac9abcdd44184573216.html">src</a></li><li class="navelem"><a class="el" href="_imu_data_8h.html">ImuData.h</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
